Skip to main content
GET
/
v1
/
corridors
List active corridors
curl --request GET \
  --url https://api.antonpayments.com/v1/corridors \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "rail_type": "fiat",
      "currency": "USD",
      "country": "US",
      "method": "<string>",
      "active": true,
      "network": "swift",
      "priority": 123,
      "cutoff_time": "<string>",
      "settlement_days": 123,
      "settlement_mins": 123,
      "min_amount": "1234.56",
      "max_amount": "1234.56",
      "required_confirms": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API keys are opaque strings prefixed by environment:

  • ak_live_* — production keys, accepted only on api.antonpayments.com.
  • ak_test_* — sandbox keys, accepted only on api.antonpayments.dev.

Include your key in the Authorization header: Bearer ak_test_....

Query Parameters

rail_type
enum<string>
Available options:
fiat,
crypto,
stablecoin
currency
string

ISO 4217 three-letter currency code.

Pattern: ^[A-Z]{3}$
Example:

"USD"

country
string

ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
Example:

"US"

Response

Active corridors.

data
object[]
required